Open CASCADE Technology: ChFiDS_CommonPoint Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ChFiDS_CommonPoint Class Reference

point start/end of fillet common to 2 adjacent filets and to an edge on one of 2 faces participating in the construction of the fillet More...

`#include <ChFiDS_CommonPoint.hxx>`

## Public Member Functions
| ChFiDS_CommonPoint ()
| Empty constructor. More...
void | Reset ()
| default value for all fields More...
void | SetVertex (const TopoDS_Vertex &V)
| Sets the values of a point which is a vertex on the initial facet of restriction of one of the surface. More...
void | SetArc (const Standard_Real Tol, const TopoDS_Edge &A, const Standard_Real Param, const TopAbs_Orientation TArc)
| Sets the values of a point which is on the arc A, at parameter Param. More...
void | SetParameter (const Standard_Real Param)
| Sets the value of the parameter on the spine. More...
void | SetPoint (const gp_Pnt &Point)
| Set the 3d point for a commonpoint that is not a vertex or on an arc. More...
void | SetVector (const gp_Vec &Vector)
| Set the output 3d vector. More...
void | SetTolerance (const Standard_Real Tol)
| This method set the fuzziness on the point. More...
Standard_Real | Tolerance () const
| This method returns the fuzziness on the point. More...
Standard_Boolean | IsVertex () const
| Returns TRUE if the point is a vertex on the initial restriction facet of the surface. More...
const TopoDS_Vertex & | Vertex () const
| Returns the information about the point when it is on the domain of the first patch, i-e when the function IsVertex returns True. Otherwise, an exception is raised. More...
Standard_Boolean | IsOnArc () const
| Returns TRUE if the point is a on an edge of the initial restriction facet of the surface. More...
const TopoDS_Edge & | Arc () const
| Returns the arc of restriction containing the vertex. More...
TopAbs_Orientation | TransitionOnArc () const
| Returns the transition of the point on the arc returned by Arc(). More...
Standard_Real | ParameterOnArc () const
| Returns the parameter of the point on the arc returned by the method Arc(). More...
Standard_Real | Parameter () const
| Returns the parameter the paramter on the spine. More...
const gp_Pnt & | Point () const
| Returns the 3d point. More...
Standard_Boolean | HasVector () const
| Returns TRUE if the output vector is stored. More...
const gp_Vec & | Vector () const
| Returns the output 3d vector. More...

## Detailed Description

point start/end of fillet common to 2 adjacent filets and to an edge on one of 2 faces participating in the construction of the fillet

## Constructor & Destructor Documentation

ChFiDS_CommonPoint::ChFiDS_CommonPoint | ( |  | ) |

Empty constructor.

## Member Function Documentation

const TopoDS_Edge& ChFiDS_CommonPoint::Arc | ( |  | ) | const

Returns the arc of restriction containing the vertex.

Standard_Boolean ChFiDS_CommonPoint::HasVector | ( |  | ) | const

Returns TRUE if the output vector is stored.

Standard_Boolean ChFiDS_CommonPoint::IsOnArc | ( |  | ) | const

Returns TRUE if the point is a on an edge of the initial restriction facet of the surface.

Standard_Boolean ChFiDS_CommonPoint::IsVertex | ( |  | ) | const

Returns TRUE if the point is a vertex on the initial restriction facet of the surface.

Standard_Real ChFiDS_CommonPoint::Parameter | ( |  | ) | const

Returns the parameter the paramter on the spine.

Standard_Real ChFiDS_CommonPoint::ParameterOnArc | ( |  | ) | const

Returns the parameter of the point on the arc returned by the method Arc().

const gp_Pnt& ChFiDS_CommonPoint::Point | ( |  | ) | const

Returns the 3d point.

void ChFiDS_CommonPoint::Reset | ( |  | ) |

default value for all fields

void ChFiDS_CommonPoint::SetArc | ( | const Standard_Real | Tol,
|  | const TopoDS_Edge & | A,
|  | const Standard_Real | Param,
|  | const TopAbs_Orientation | TArc
| ) |  |

Sets the values of a point which is on the arc A, at parameter Param.

void ChFiDS_CommonPoint::SetParameter | ( | const Standard_Real | Param | ) |

Sets the value of the parameter on the spine.

void ChFiDS_CommonPoint::SetPoint | ( | const gp_Pnt & | Point | ) |

Set the 3d point for a commonpoint that is not a vertex or on an arc.

void ChFiDS_CommonPoint::SetTolerance | ( | const Standard_Real | Tol | ) |

This method set the fuzziness on the point.

void ChFiDS_CommonPoint::SetVector | ( | const gp_Vec & | Vector | ) |

Set the output 3d vector.

void ChFiDS_CommonPoint::SetVertex | ( | const TopoDS_Vertex & | V | ) |

Sets the values of a point which is a vertex on the initial facet of restriction of one of the surface.

Standard_Real ChFiDS_CommonPoint::Tolerance | ( |  | ) | const

This method returns the fuzziness on the point.

TopAbs_Orientation ChFiDS_CommonPoint::TransitionOnArc | ( |  | ) | const

Returns the transition of the point on the arc returned by Arc().

const gp_Vec& ChFiDS_CommonPoint::Vector | ( |  | ) | const

Returns the output 3d vector.

const TopoDS_Vertex& ChFiDS_CommonPoint::Vertex | ( |  | ) | const

Returns the information about the point when it is on the domain of the first patch, i-e when the function IsVertex returns True. Otherwise, an exception is raised.

The documentation for this class was generated from the following file:

- ChFiDS_CommonPoint.hxx